"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getDocumentBaseStyles = void 0;
const fontFam = "-apple-system,BlinkMacSystemFont,'avenir next',avenir,helvetica,'helvetica neue',arial,sans-serif";
const table = ".ld th,.ld td{padding:8px;line-height:1.5;vertical-align:top;text-align:left;border-top: 1px solid #ddd;}\n.ld table{border-spacing:0}\n.ld tr:nth-child(odd) > td{background:#f9f9f9}";
const headings = ".ld h1,.ld h2,.ld h3,.ld h4,.ld h5,.ld h6{margin:0 0 2rem 0}";
const bq = ".ld blockquote{border-left:3px solid #ddd; margin-left:1px; padding-left: 16px}";

const getDocumentBaseStyles = ({
  noPadding = false
} = {}) => {
  const padding = noPadding ? '' : 'padding:20px;';
  const base = ".ld{all:initial;display:block;sizing:border-box;".concat(padding, "margin:0px;background:white;font-family:").concat(fontFam, ";}");
  return base + headings + table + bq;
};

exports.getDocumentBaseStyles = getDocumentBaseStyles;