"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoadingDots = void 0;

var _preact = require("preact");

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const LoadingDots = (_ref) => {
  let {
    size = 24
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["size"]);

  const usableSize = size * 0.75;
  const padding = size * 0.125;
  const radius = usableSize / 8;
  return (0, _preact.h)("svg", _extends({
    className: "dot-animation",
    width: size,
    height: size
  }, rest), (0, _preact.h)("circle", {
    cx: radius + padding,
    cy: radius * 3,
    r: radius
  }), (0, _preact.h)("circle", {
    cx: radius * 4 + padding,
    cy: radius * 3,
    r: radius
  }), (0, _preact.h)("circle", {
    cx: radius * 7 + padding,
    cy: radius * 3,
    r: radius
  }));
};

exports.LoadingDots = LoadingDots;