"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _tryit = _interopRequireDefault(require("tryit"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const setupGlobalErrorHandlers = ({
  logger,
  extraDataGetter,
  extraCallback
}) => {
  const getExtraData = () => {
    if (!extraDataGetter) {
      return null;
    }

    try {
      return extraDataGetter();
    } catch (e) {
      return null;
    }
  };

  if (typeof globalThis !== 'undefined' && 'addEventListener' in globalThis) {
    globalThis.addEventListener('error', event => {
      let loggerMethod = 'error';
      const {
        message,
        filename,
        lineno,
        colno,
        error
      } = event;
      let errorObject = null;

      if (error) {
        const message = error.message;
        errorObject = {
          message,
          stack: error.stack
        }; // downgrade network errors to "warn" instead of "error"
        // as they are out of our control

        if (message && typeof message === 'string' && message.includes('Network Error')) {
          loggerMethod['warn'];
        }
      }

      logger[loggerMethod](_objectSpread({
        message,
        filename,
        lineno,
        colno,
        errorObject
      }, getExtraData()));
      extraCallback && (0, _tryit.default)(() => {
        extraCallback(event);
      });
    });
    globalThis.addEventListener('unhandledrejection', event => {
      logger.error({
        message: 'unhandledRejection',
        event,
        reason: event.reason,
        extraData: getExtraData()
      });
      extraCallback && (0, _tryit.default)(() => {
        extraCallback(event);
      });
    });
  }
};

var _default = setupGlobalErrorHandlers;
exports.default = _default;