"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.kgToLbs = exports.lbsToKg = exports.centimetersToFeetInches = exports.inchesToCentimeters = void 0;
const CM_TO_IN = 2.54;
const KG_TO_LBS = 0.45359237;

const inchesToCentimeters = inches => CM_TO_IN * inches;

exports.inchesToCentimeters = inchesToCentimeters;

const centimetersToFeetInches = cm => {
  const lengthInInches = cm / CM_TO_IN;
  const feet = Math.floor(lengthInInches / 12);
  const inches = Math.round(lengthInInches % feet);
  return {
    feet,
    inches
  };
};

exports.centimetersToFeetInches = centimetersToFeetInches;

const lbsToKg = lbs => KG_TO_LBS * lbs;

exports.lbsToKg = lbsToKg;

const kgToLbs = kg => kg / KG_TO_LBS;

exports.kgToLbs = kgToLbs;